Difference between revisions of "XBMC"

From AwkwardTV
Jump to: navigation, search
m
m
Line 5: Line 5:
 
''Note:'' There is another guide which uses ATV USB Creator and a Patchstick: http://xbmc.org/wiki/?title=XBMC_for_Mac_on_Apple_TV
 
''Note:'' There is another guide which uses ATV USB Creator and a Patchstick: http://xbmc.org/wiki/?title=XBMC_for_Mac_on_Apple_TV
  
''Note2:'' Another way is to use the [[XBMCLauncher]] technique, I think is easier and you can install boxee and XBMC
+
''Note2:'' Another way is to use the [[XBMC Launcher]] technique, I think is easier and you can install boxee and XBMC
  
 
== Requirements ==
 
== Requirements ==
Line 46: Line 46:
 
   Reason: Incompatible library version: XBMC requires version 7.0.0 or later, but libiconv.2.dylib provides version 5.0.0
 
   Reason: Incompatible library version: XBMC requires version 7.0.0 or later, but libiconv.2.dylib provides version 5.0.0
 
</pre>
 
</pre>
 +
 +
== See Also ==
 +
*[[boxee]]
 +
*[[NitoTV]]
 +
*[[XBMC Launcher]]
  
 
[[Category:Software]]
 
[[Category:Software]]

Revision as of 15:05, 28 March 2009

Installation Instructions for XBM

A short and sweet install guide for XVMC Beta 1 "Atlantis"for AppleTV Take2

Note: There is another guide which uses ATV USB Creator and a Patchstick: http://xbmc.org/wiki/?title=XBMC_for_Mac_on_Apple_TV

Note2: Another way is to use the XBMC Launcher technique, I think is easier and you can install boxee and XBMC

Requirements

Actual Instructions

SSH into the AppleTV

installer -pkg XBMC.mpkg -target /

Ignore the message about installation failing, a perl post-install script has failed to run because perl is missing

This installs ;

/Applications/XBMC.app

make a sym link from /Applications to ~/Applications so NitoTV app launcher can see it

ln -s /Applications/XBMC.app /Users/frontrow/Applications/XBMC.app

Launch it under NitoTV

setting-> appearance-> resolution and pick the one with (FullScreen)

References/External Links

  • XMBC Download [1]
  • Forum Instructions [2]

Etc

Attempts to get it running as-is on safe updated 1.1 ATV have come up short. Of course, this is to be expected,

Here's the error in CrashReporter.log:

Library not loaded: /opt/local/lib/libiconv.2.dylib
 Referenced from: /mnt/Scratch/Users/frontrow/Applications/XBMC.app/Contents/Mac OS/XBMC
  Reason: Incompatible library version: XBMC requires version 7.0.0 or later, but libiconv.2.dylib provides version 5.0.0

See Also